Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Yixuan Chen <[email-masked]>
Date: Wed, 30 Oct 2024 22:46:30 -0400

Eli,

An idea on reproducibility: if I can build an container image (I don't 
know if it will work, but the idea is through wayland socket bind mount) 
or an VM image where emacs can consistently demonstrate the problem, 
would that be acceptable? That way maybe you can have a first hand 
experience with the problem. If so, what format do you accept?

On 10/30/24 22:36, Yixuan Chen wrote:
> On 10/30/24 21:39, Tim Ruffing wrote:
>> I'm not sure if I have the time to verify this in the coming days, I'd
>> appreciate if some of the other affected users could give it a try.
> 
> I'm sorry I wasn't following this thread closely for the last few days. 
> I'm currently busy with a submission due in two weeks so I don't have 
> continuous time to investigate the problem using GDB before Nov. 14.
> 
>> I can't recall that it ever flipped suddenly from good to
>> bad *when the affected ligatures was in the visible array of the
>> buffer*. But I'm not so sure if this has really never flipped from good
>> to bad during a session, when the ligature was not visible.
> 
> I'm pretty certain it doesn't happen to a line spontaneously. I usually 
> encounter this behavior (with a probability) when
> 1. after a font changes, like what the script I submitted did.
> 2. after switching to a different buffer, even if both buffers contains 
> ligatures and uses the same font/fontset setting (though maybe one of 
> the buffers contains certain characters with bold/italic/etc font 
> attributes, I don't recall it exactly).
> 3. (maybe) after scrolling down/up the buffer into a position where a 
> line contains ligatures appears.
> 
> Best,
> Yixuan